Bug 62899 - incorrect desensitization of CD Properties
incorrect desensitization of CD Properties
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
David Lawrence
:
Depends On:
Blocks: 67218 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2002-04-07 08:53 EDT by greg hosler
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-06 06:24:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description greg hosler 2002-04-07 08:53:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020401

Description of problem:
CD Properties (settings -> peripherials -> CD Properties) has 3 toggle buttons
for Data cd's: Automatically mount, automatically start auto-run, and open file
manager for newly mounted cds.

Initially all 3 are selected by default.

When "Automatically mount" is clicked off, the other options are desensitized,
even though still selected. The fact that they are desensitized, gives the user
the impression that the options are deactivated. This is not the case. when a
new cd is mounted manually, the file manager will be invoked on /mnt/cdrom, even
though the option is desensitized.

Whomever is telling nautilis to display the cdrom is not looking at whether the
option is desensitised or not. Probably the easier fix will be to NOT
desensitise the 2nd/3rd option when the 1st option is deselected.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.open CD properties panel.
2.make sure option 3 (open file manager...) is selected, and then turn off
option 1 (automatically mount).
3. mount a cd, or cd iso image, on /mnt/cdrom.
4. the file manager window will be popped up.

if the option is desensitized, then the file manager window really shouldn't be
popped up.
	

Actual Results:  the file manager window will be popped up.

Expected Results:  if the option is desensitized, then the file manager window
really shouldn't be popped up.

Additional info:

Probably the easier fix will be to NOT desensitise the 2nd/3rd option in the CD
Properties panel when the 1st option is deselected.
Comment 1 Havoc Pennington 2002-04-09 12:31:03 EDT
Will look at this for next release.
Comment 2 Owen Taylor 2002-04-11 10:57:23 EDT
This is a nautilus bug. nautilus is incorrectly emulating magicdev ...
magicdev didn't create the file manager window in this case, and I
don't think nautilus should either... if the user manually mounts the
drive, they are doing it (most likely) through the command line and
are going to access the drive through the command line.
Comment 3 Alexander Larsson 2003-08-06 06:24:51 EDT
This should be fixed in rawhide. We no longer open windows on mount.

Note You need to log in before you can comment on or make changes to this bug.